Package org.eclipse.cdt.core.settings.model

## Interface ICPathEntry

All Superinterfaces:
  `ICSettingEntry`

All Known Subinterfaces:
  `ICExclusionPatternPathEntry`, `ICIncludeFileEntry`, `ICIncludePathEntry`, `ICLanguageSettingPathEntry`, `ICLibraryFileEntry`, `ICLibraryPathEntry`, `ICMacroFileEntry`, `ICOutputEntry`, `ICSourceEntry`

All Known Implementing Classes:
  `ACExclusionFilterEntry`, `ACPathEntry`, `CIncludeFileEntry`, `CIncludePathEntry`, `CLibraryFileEntry`, `CLibraryPathEntry`, `CMacroFileEntry`, `COutputEntry`, `CSourceEntry`

    public interface ICPathEntry
    extends ICSettingEntry

Helper interface capturing 'path' characteristic for `ICSettingEntry` and `ICLanguageSettingEntry` interfaces.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.core.runtime.IPath` `getFullPath()`
`org.eclipse.core.runtime.IPath` `getLocation()`
`boolean` `isValueWorkspacePath()`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getKind, getName, getValue, isBuiltIn, isReadOnly, isResolved`

### Method Detail

#### getFullPath

    org.eclipse.core.runtime.IPath getFullPath()

#### getLocation

    org.eclipse.core.runtime.IPath getLocation()

#### isValueWorkspacePath

    boolean isValueWorkspacePath()